DCMTK - Feature #525

CP-1264 introduced a new value for VOI LUT Function (LINEAR_EXACT)
Description

Implementing support for this new VOI LUT Function would be straightforward (i.e. similar to SIGMOID), if there wouldn't be an issue
with small values for Window Width (even < 1.0 is allowed). Therefore, the transformation pipeline in the Dicomlmage class library
has to be extended by also supporting floating point values (32- or 64-bit) for the intermediate pixel data representation.

If | remember correctly, some forum user (?) already extended the various data type switch-statements by floating point values.

This new feature might also be interesting for RT Dose objects and some CR images ...

History

#1 - 2013-06-24 17:41 - J6rg Riesmeier

- Assignee set to Jérg Riesmeier

#2 - 2013-08-20 16:04 - J6rg Riesmeier

Also see CP-1316 (Clarify exact windowing function): ftp://medical.nema.org/medical/dicom/cp/cp1316_01.pdf

#3 - 2013-10-22 14:43 - J6rg Riesmeier

- Status changed from New to Assigned

#4 - 2014-04-07 17:11 - J6rg Riesmeier
CP-1316 is now Final Text!

#5 - 2016-10-27 13:35 - Jorg Riesmeier
- Target version deleted (3.6.2)

#6 - 2020-12-15 12:59 - J6rg Riesmeier

See also CP-1880 (Update Linear Exact and Sigmoid formula):
ftp://medical.nema.org/medical/dicom/final/cp1880_ft_UpdateLinearExactAndSigmoidFormula.pdf
